tbb::internal::concurrent_vector_base_v3::internal_segments_table Struct Reference

Internal structure for compact() More...

`#include <concurrent_vector.h>`

Collaboration diagram for tbb::internal::concurrent_vector_base_v3::internal_segments_table:

## Public Attributes

segment_index_t | first_block
segment_t | table [pointers_per_long_table]

## Detailed Description

Internal structure for compact()

Definition at line 249 of file concurrent_vector.h.

## Member Data Documentation

## first_block

segment_index_t tbb::internal::concurrent_vector_base_v3::internal_segments_table::first_block

Definition at line 250 of file concurrent_vector.h.

Referenced by tbb::internal::concurrent_vector_base_v3::internal_compact(), and tbb::concurrent_vector< T, A >::shrink_to_fit().

## table

segment_t tbb::internal::concurrent_vector_base_v3::internal_segments_table::table[pointers_per_long_table]

Definition at line 251 of file concurrent_vector.h.

Referenced by tbb::internal::concurrent_vector_base_v3::internal_compact(), and tbb::concurrent_vector< T, A >::shrink_to_fit().

The documentation for this struct was generated from the following file:

- concurrent_vector.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.